searchNodes=[{"doc":"Struct and functions for operating on ToDos","ref":"Todo.html","title":"Todo","type":"module"},{"doc":"parse parses a raw todo string into a Todo structExamplesiex&gt; Todo.parse(&quot;x done&quot;) %Todo{description: &quot;done&quot;, done: true} iex&gt; Todo.parse(&quot;x 2020-09-13 done&quot;) %Todo{description: &quot;done&quot;, done: true, completion_date: ~D[2020-09-13]} iex&gt; Todo.parse(&quot;(A) top priority&quot;) %Todo{description: &quot;top priority&quot;, priority: :A } iex&gt; Todo.parse(&quot;todo with @Context1 and @Context_2&quot;) %Todo{description: &quot;todo with @Context1 and @Context_2&quot;, contexts: [:Context1, :Context_2]} iex&gt; Todo.parse(&quot;todo with +Project_1 and +project2&quot;) %Todo{description: &quot;todo with +Project_1 and +project2&quot;, projects: [:Project_1, :project2]} iex&gt; Todo.parse(&quot;todo 2020-10-15 with due:2021-09-13&quot;) %Todo{description: &quot;todo 2020-10-15 with&quot;, due_date: ~D[2021-09-13]} iex&gt; Todo.parse(&quot;2020-10-15 task due:2021-09-13&quot;) %Todo{description: &quot;task&quot;, creation_date: ~D[2020-10-15], due_date: ~D[2021-09-13]} iex&gt; Todo.parse(&quot;task meta:data meta1:data1&quot;) %Todo{description: &quot;task&quot;, additional_fields: %{&quot;meta&quot; =&gt; &quot;data&quot;, &quot;meta1&quot; =&gt; &quot;data1&quot;}} iex&gt; Todo.parse(&quot;task due:2021-09-13 meta:data meta1:data1&quot;) %Todo{description: &quot;task&quot;, additional_fields: %{&quot;meta&quot; =&gt; &quot;data&quot;, &quot;meta1&quot; =&gt; &quot;data1&quot;}, due_date: ~D[2021-09-13]}","ref":"Todo.html#parse/1","title":"Todo.parse/1","type":"function"},{"doc":"converts a Todo struct into a string that would be found in a todo.txt file.Examplesiex&gt; Todo.to_string(%Todo{description: &quot;done&quot;, done: true}) &quot;x done&quot; iex&gt; Todo.to_string(%Todo{description: &quot;done on time&quot;, done: true, completion_date: ~D[2020-09-13]}) &quot;x 2020-09-13 done on time&quot; iex&gt; Todo.to_string(%Todo{description: &quot;top priority&quot;, priority: :A }) &quot;(A) top priority&quot; iex&gt; Todo.to_string(%Todo{description: &quot;context task: @context1&quot;, contexts: [:context1, :context2] }) &quot;context task: @context1 @context2&quot; iex&gt; Todo.to_string(%Todo{description: &quot;project task: +project1&quot;, projects: [:project1, :project2] }) &quot;project task: +project1 +project2&quot; iex&gt; Todo.to_string(%Todo{description: &quot;created on time&quot;, creation_date: ~D[2021-09-13]}) &quot;2021-09-13 created on time&quot; iex&gt; Todo.to_string(%Todo{description: &quot;done on time&quot;, done: true, completion_date: ~D[2020-09-13], creation_date: ~D[2020-09-12]}) &quot;x 2020-09-13 2020-09-12 done on time&quot; iex&gt; Todo.to_string(%Todo{description: &quot;due on time&quot;, due_date: ~D[2021-09-13]}) &quot;due on time due:2021-09-13&quot; iex&gt; Todo.to_string(%Todo{description: &quot;additional fields task&quot;, additional_fields: %{&quot;key1&quot; =&gt; &quot;value1&quot;, &quot;key2&quot; =&gt; &quot;value2&quot;}}) &quot;additional fields task key1:value1 key2:value2&quot; iex&gt; Todo.to_string(%Todo{description: &quot;pomodoro task&quot;, pomodori: {1, 3}}) &quot;pomodoro task (#pomo: 1/3)&quot;","ref":"Todo.html#to_string/1","title":"Todo.to_string/1","type":"function"},{"doc":"TodoTxtAn Elixir library for reading/parseing/writing todo.txt files","ref":"readme.html","title":"TodoTxt","type":"extras"},{"doc":"More information about todo.txt can be found at:OverviewHomepagecli","ref":"readme.html#about-todo-txt","title":"TodoTxt - About Todo.txt","type":"extras"},{"doc":"This package can be installed by adding todo_txt to your list of dependencies in mix.exs:def deps do [ {:todo_txt, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"TodoTxt - Installation","type":"extras"},{"doc":"Read Todos From todo.txt Filetodos = File.read!(&quot;todo.txt&quot;) |&gt; String.split(&quot;\\n&quot;) |&gt; Enum.map(&amp;Todo.parse/1)Write Todos To todo.txt Fileto_write = todos |&gt; Enum.map(&amp;Todo.to_string/1) |&gt; Enum.join(&quot;\\n&quot;) File.write!(&quot;todo.txt.diff&quot;, to_write)Remove Done Todos From todo.txt And Archive Them In done.txt Filetodos = File.read!(&quot;todo.txt&quot;) |&gt; String.split(&quot;\\n&quot;) |&gt; Enum.map(&amp;Todo.parse/1) {done, todo} = Enum.split_with(todos, fn t -&gt; t.done end) File.write!(&quot;todo.txt&quot;, Enum.join(Enum.map(todo, &amp;Todo.to_string/1), &quot;\\n&quot;)) File.write!(&quot;done.txt&quot;, Enum.join(Enum.map(done, &amp;Todo.to_string/1), &quot;\\n&quot;))","ref":"readme.html#basic-usage","title":"TodoTxt - Basic Usage","type":"extras"}]